Generate One Time Link
Generates a one-time access link based on the specified request parameters.
POST /v1/AcuCapture/GenerateOneTimeLink
Request body
optional (50)
| Name | Type | Required | Description |
|---|---|---|---|
traceId | string | optional | |
returnScanResultsSeparately | boolean | optional | |
defaultButtonShowDelaySecs | integer / int32 | optional | |
linkExpirationTimeInSecs | integer / int32 | optional | |
steps | AcuCaptureSteps | optional | |
steps.documentFrontImage | AcuCaptureBodyStep | optional | |
steps.documentFrontImage.isEnabled | boolean | optional | |
steps.documentFrontImage.skippable | boolean | optional | |
steps.documentFrontImage.buttonShowDelaySecs | integer / int32 | optional | |
steps.documentBackImage | AcuCaptureBodyStep | optional | |
steps.documentBackImage.isEnabled | boolean | optional | |
steps.documentBackImage.skippable | boolean | optional | |
steps.documentBackImage.buttonShowDelaySecs | integer / int32 | optional | |
steps.selfieImage | AcuCaptureBodyStep | optional | |
steps.selfieImage.isEnabled | boolean | optional | |
steps.selfieImage.skippable | boolean | optional | |
steps.selfieImage.buttonShowDelaySecs | integer / int32 | optional | |
processDocumentInputParams | ProcessDocumentInputParams | optional | |
processDocumentInputParams.dateFormat | string | optional | |
processDocumentInputParams.returnFieldsAoi | boolean | optional | |
processDocumentInputParams.returnFieldValidations | boolean | optional | |
processDocumentInputParams.returnFieldLabels | boolean | optional | |
processDocumentInputParams.returnCalculatedFields | boolean | optional | |
processDocumentInputParams.returnFrontImage | boolean | optional | |
processDocumentInputParams.returnBackImage | boolean | optional | |
processDocumentInputParams.returnFaceImage | boolean | optional | |
processDocumentInputParams.returnSignatureImage | boolean | optional | |
processDocumentInputParams.returnGhostFaceImage | boolean | optional | |
processDocumentInputParams.returnFaceImageLocation | boolean | optional | |
processDocumentInputParams.returnFrontImageLocation | boolean | optional | |
processDocumentInputParams.returnGhostFaceImageLocation | boolean | optional | |
processDocumentInputParams.returnSignatureLocation | boolean | optional | |
processDocumentInputParams.fetchWebFields | boolean | optional | |
processDocumentInputParams.returnDocumentForensicAuthentications | boolean | optional | |
processDocumentInputParams.shouldFailExpiredDocuments | boolean | optional | |
processDocumentInputParams.returnMatchBetweenPortraitAndGhost | boolean | optional | |
processDocumentInputParams.checkForSelfieLiveness | boolean | optional | |
processDocumentInputParams.performAddressValidation | boolean | optional | |
processDocumentInputParams.performPostalCodeValidation | boolean | optional | |
processDocumentInputParams.performIdentityVerification | boolean | optional | |
processDocumentInputParams.performAAMVADriverLicenseVerification | boolean | optional | |
processDocumentInputParams.performAgeVerification | boolean | optional | |
processDocumentInputParams.performKnowledgeBasedAuthentication | boolean | optional | |
processDocumentInputParams.performFullNameBreakdown | boolean | optional | |
processDocumentInputParams.ageLimit | integer / int32 | optional | |
processDocumentInputParams.checkForDocumentLiveness | boolean | optional | |
processDocumentInputParams.shouldHandleEmbeddedChip | boolean | optional | |
processDocumentInputParams.portraitReplacementThresholdScore | integer / int32 | optional | |
processDocumentInputParams.screenCaptureThresholdScore | integer / int32 | optional | |
processDocumentInputParams.paperPhotocopyThresholdScore | integer / int32 | optional |
Code sample language
curl -X POST "{{API.SANDBOX_BASE_URL}}/AcuCapture/GenerateOneTimeLink" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"traceId": "string",
"returnScanResultsSeparately": false,
"defaultButtonShowDelaySecs": -1,
"linkExpirationTimeInSecs": 900,
"steps": {
"documentFrontImage": {
"isEnabled": true,
"skippable": false,
"buttonShowDelaySecs": -1
},
"documentBackImage": {
"isEnabled": true,
"skippable": false,
"buttonShowDelaySecs": -1
},
"selfieImage": {
"isEnabled": true,
"skippable": false,
"buttonShowDelaySecs": -1
}
},
"processDocumentInputParams": {
"dateFormat": "yyyy-MM-dd",
"returnFieldsAoi": true,
"returnFieldValidations": true,
"returnFieldLabels": true,
"returnCalculatedFields": true,
"returnFrontImage": true,
"returnBackImage": true,
"returnFaceImage": true,
"returnSignatureImage": true,
"returnGhostFaceImage": true,
"returnFaceImageLocation": true,
"returnFrontImageLocation": true,
"returnGhostFaceImageLocation": false,
"returnSignatureLocation": false,
"fetchWebFields": false,
"returnDocumentForensicAuthentications": false,
"shouldFailExpiredDocuments": true,
"returnMatchBetweenPortraitAndGhost": false,
"checkForSelfieLiveness": false,
"performAddressValidation": false,
"performPostalCodeValidation": false,
"performIdentityVerification": false,
"performAAMVADriverLicenseVerification": false,
"performAgeVerification": false,
"performKnowledgeBasedAuthentication": false,
"performFullNameBreakdown": false,
"ageLimit": 0,
"checkForDocumentLiveness": false,
"shouldHandleEmbeddedChip": false,
"portraitReplacementThresholdScore": 0,
"screenCaptureThresholdScore": 0,
"paperPhotocopyThresholdScore": 0
}
}'using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var content = new StringContent(@"{
""traceId"": ""string"",
""returnScanResultsSeparately"": false,
""defaultButtonShowDelaySecs"": -1,
""linkExpirationTimeInSecs"": 900,
""steps"": {
""documentFrontImage"": {
""isEnabled"": true,
""skippable"": false,
""buttonShowDelaySecs"": -1
},
""documentBackImage"": {
""isEnabled"": true,
""skippable"": false,
""buttonShowDelaySecs"": -1
},
""selfieImage"": {
""isEnabled"": true,
""skippable"": false,
""buttonShowDelaySecs"": -1
}
},
""processDocumentInputParams"": {
""dateFormat"": ""yyyy-MM-dd"",
""returnFieldsAoi"": true,
""returnFieldValidations"": true,
""returnFieldLabels"": true,
""returnCalculatedFields"": true,
""returnFrontImage"": true,
""returnBackImage"": true,
""returnFaceImage"": true,
""returnSignatureImage"": true,
""returnGhostFaceImage"": true,
""returnFaceImageLocation"": true,
""returnFrontImageLocation"": true,
""returnGhostFaceImageLocation"": false,
""returnSignatureLocation"": false,
""fetchWebFields"": false,
""returnDocumentForensicAuthentications"": false,
""shouldFailExpiredDocuments"": true,
""returnMatchBetweenPortraitAndGhost"": false,
""checkForSelfieLiveness"": false,
""performAddressValidation"": false,
""performPostalCodeValidation"": false,
""performIdentityVerification"": false,
""performAAMVADriverLicenseVerification"": false,
""performAgeVerification"": false,
""performKnowledgeBasedAuthentication"": false,
""performFullNameBreakdown"": false,
""ageLimit"": 0,
""checkForDocumentLiveness"": false,
""shouldHandleEmbeddedChip"": false,
""portraitReplacementThresholdScore"": 0,
""screenCaptureThresholdScore"": 0,
""paperPhotocopyThresholdScore"": 0
}
}", System.Text.Encoding.UTF8, "application/json");
var response = await client.PostAsync("{{API.SANDBOX_BASE_URL}}/AcuCapture/GenerateOneTimeLink", content);
var result = await response.Content.ReadAsStringAsync();import requests
headers = {"x-api-key": "YOUR_API_KEY"}
payload = {
"traceId": "string",
"returnScanResultsSeparately": False,
"defaultButtonShowDelaySecs": -1,
"linkExpirationTimeInSecs": 900,
"steps": {
"documentFrontImage": {
"isEnabled": True,
"skippable": False,
"buttonShowDelaySecs": -1
},
"documentBackImage": {
"isEnabled": True,
"skippable": False,
"buttonShowDelaySecs": -1
},
"selfieImage": {
"isEnabled": True,
"skippable": False,
"buttonShowDelaySecs": -1
}
},
"processDocumentInputParams": {
"dateFormat": "yyyy-MM-dd",
"returnFieldsAoi": True,
"returnFieldValidations": True,
"returnFieldLabels": True,
"returnCalculatedFields": True,
"returnFrontImage": True,
"returnBackImage": True,
"returnFaceImage": True,
"returnSignatureImage": True,
"returnGhostFaceImage": True,
"returnFaceImageLocation": True,
"returnFrontImageLocation": True,
"returnGhostFaceImageLocation": False,
"returnSignatureLocation": False,
"fetchWebFields": False,
"returnDocumentForensicAuthentications": False,
"shouldFailExpiredDocuments": True,
"returnMatchBetweenPortraitAndGhost": False,
"checkForSelfieLiveness": False,
"performAddressValidation": False,
"performPostalCodeValidation": False,
"performIdentityVerification": False,
"performAAMVADriverLicenseVerification": False,
"performAgeVerification": False,
"performKnowledgeBasedAuthentication": False,
"performFullNameBreakdown": False,
"ageLimit": 0,
"checkForDocumentLiveness": False,
"shouldHandleEmbeddedChip": False,
"portraitReplacementThresholdScore": 0,
"screenCaptureThresholdScore": 0,
"paperPhotocopyThresholdScore": 0
}
}
response = requests.post("{{API.SANDBOX_BASE_URL}}/AcuCapture/GenerateOneTimeLink", headers=headers, json=payload)
print(response.json())const response = await fetch("{{API.SANDBOX_BASE_URL}}/AcuCapture/GenerateOneTimeLink", {
method: "POST",
headers: { "x-api-key": "YOUR_API_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"traceId": "string",
"returnScanResultsSeparately": false,
"defaultButtonShowDelaySecs": -1,
"linkExpirationTimeInSecs": 900,
"steps": {
"documentFrontImage": {
"isEnabled": true,
"skippable": false,
"buttonShowDelaySecs": -1
},
"documentBackImage": {
"isEnabled": true,
"skippable": false,
"buttonShowDelaySecs": -1
},
"selfieImage": {
"isEnabled": true,
"skippable": false,
"buttonShowDelaySecs": -1
}
},
"processDocumentInputParams": {
"dateFormat": "yyyy-MM-dd",
"returnFieldsAoi": true,
"returnFieldValidations": true,
"returnFieldLabels": true,
"returnCalculatedFields": true,
"returnFrontImage": true,
"returnBackImage": true,
"returnFaceImage": true,
"returnSignatureImage": true,
"returnGhostFaceImage": true,
"returnFaceImageLocation": true,
"returnFrontImageLocation": true,
"returnGhostFaceImageLocation": false,
"returnSignatureLocation": false,
"fetchWebFields": false,
"returnDocumentForensicAuthentications": false,
"shouldFailExpiredDocuments": true,
"returnMatchBetweenPortraitAndGhost": false,
"checkForSelfieLiveness": false,
"performAddressValidation": false,
"performPostalCodeValidation": false,
"performIdentityVerification": false,
"performAAMVADriverLicenseVerification": false,
"performAgeVerification": false,
"performKnowledgeBasedAuthentication": false,
"performFullNameBreakdown": false,
"ageLimit": 0,
"checkForDocumentLiveness": false,
"shouldHandleEmbeddedChip": false,
"portraitReplacementThresholdScore": 0,
"screenCaptureThresholdScore": 0,
"paperPhotocopyThresholdScore": 0
}
})
});
const result = await response.json();
Responses
200 | OK |
|---|